grk::PPMMarker Class Reference

`#include <PPMMarker.h>`

## Public Member Functions

| PPMMarker ()
| ~PPMMarker ()
bool | read (uint8_t *headerData, uint16_t header_size)
| Read a PPM marker (Packed headers, main header)
bool | merge (void)
| Merges all PPM markers read (Packed headers, main header)

## Public Attributes

std::vector< grk_buf8 > | packetHeaders

## Private Attributes

uint32_t | markers_count
| number of ppm markers (reserved size)
grk_ppx * | markers
| ppm markers data (table indexed by Zppm)
uint8_t * | buffer
| packet header storage original buffer

## Constructor & Destructor Documentation

## PPMMarker()

grk::PPMMarker::PPMMarker | ( |  | ) |

## ~PPMMarker()

grk::PPMMarker::~PPMMarker | ( |  | ) |

References buffer, grk::grk_free(), grk::grk_read(), markers, and markers_count.

## Member Function Documentation

## merge()

bool grk::PPMMarker::merge | ( | void |  | ) |

Merges all PPM markers read (Packed headers, main header)

References buffer, grk::grk_ppx::data_, grk::grk_ppx::data_size_, grk::GRK_ERROR(), grk::grk_free(), grk::grk_read(), markers, markers_count, and packetHeaders.

## read()

bool grk::PPMMarker::read | ( | uint8_t * | headerData,
|  | uint16_t | header_size
| ) |  |

Read a PPM marker (Packed headers, main header)

Parameters

  headerData | the data contained in the POC box.
  header_size | the size of the data contained in the POC marker.

References grk::grk_ppx::data_, grk::grk_ppx::data_size_, grk::grk_calloc(), grk::GRK_ERROR(), grk::grk_malloc(), grk::grk_read(), grk::grk_realloc(), markers, and markers_count.

Referenced by grk::CodeStreamDecompress::read_ppm().

## Member Data Documentation

## buffer

uint8_t* grk::PPMMarker::buffer

private

packet header storage original buffer

Referenced by merge(), and ~PPMMarker().

## markers

grk_ppx* grk::PPMMarker::markers

private

ppm markers data (table indexed by Zppm)

Referenced by merge(), read(), and ~PPMMarker().

## markers_count

uint32_t grk::PPMMarker::markers_count

private

number of ppm markers (reserved size)

Referenced by merge(), read(), and ~PPMMarker().

## packetHeaders

std::vector<grk_buf8> grk::PPMMarker::packetHeaders

Referenced by merge().

The documentation for this class was generated from the following files:

- PPMMarker.h
- PPMMarker.cpp